﻿Type=Class
Version=1.8
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private anc As AnchorPane
	Type NodeC( parent As TreeNode,p As AnchorPane, x As Int, y As Int, level As Int, tag As String,tag1 As Boolean, children As List)

	Dim TN As NodeC
	Private plus,minus As Image
'	Private lh,lw As Int
	Private Cmodule As TreePane	
	Private pic As ImageView
	Private btn As ImageView
	Private lbl As Label
	Private gpane As Pane
End Sub

'Initializes the object. 
Sub Initialize(Module As TreePane, _
			   parent As TreeNode, _
			   level As Int, _
			   Text As String, _
			   img As Image, _
			   tag As String, _
			   tag1 As Boolean	, _
			   style As String, _
			   TextColor As Paint, _
			   x As Int, _ 
			   y As Int)
anc.Initialize("anc")
anc.PrefWidth = Module.nw
anc.PrefHeight = Module.nh
anc.style = style 

TN.Initialize
plus.Initialize(File.DirAssets,"bplus.png")
minus.Initialize(File.DirAssets,"bminus.png")
Cmodule = Module
gpane.Initialize("")
gpane.style = style
anc.AddNode(gpane,0,0,6*Module.nh/7,Module.nh)
btn.Initialize("btn")
btn.tag = tag1
If tag1 = True Then  
	btn.SetImage(plus)
Else  
	btn.Visible = False
End If
anc.AddNode(btn,Module.nh/7,Module.nh/7,4*Module.nh/7,5*Module.nh/7)
pic.Initialize("pic")
pic.style = style
If img.IsInitialized Then pic.SetImage(img)
anc.AddNode(pic,6*Module.nh/7,0,2*Module.nh/3,Module.nh)
lbl.Initialize("lbl")
lbl.Text = Text
lbl.TextColor = TextColor
lbl.style = "-fx-font-size:x-large;" & style
anc.AddNode(lbl,12*Module.nh/7,0,Module.nw-12*Module.nh/7,Module.nh)

TN.children.Initialize
If parent <> Null Then 
	TN.parent = parent
	parent.TN.children.Add(Me)
End If
TN.x = x
TN.y = y
TN.tag = tag 
TN.level = level 
TN.p = anc

End Sub

Sub AsNode As Node
Return anc
End Sub

Sub getTag As String
Return TN.tag
End Sub

Sub btn_MouseClicked (EventData As MouseEvent)
Dim iv As ImageView = Sender
If iv.tag Then
	iv.SetImage(minus)
	iv.tag = False
	Cmodule.Node_Open(Me)	
Else 
	iv.SetImage(plus)
	iv.tag = True
	Cmodule.Node_close(Me)	
End If
End Sub


Sub lbl_MouseClicked (EventData As MouseEvent)
	Cmodule.Node_Click(Me)
End Sub

Sub pic_MouseClicked (EventData As MouseEvent)
	Cmodule.Node_Click(Me)
End Sub